#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <inttypes.h>
#include <fcntl.h>
#include <errno.h>
#include <termios.h>
#include <string.h>

#include <xen/io/console.h>
#include "xenner.h"
#include "mm.h"

/* ------------------------------------------------------------------ */

static int console_event(struct xenvm *xen, int port, void *data)
{
    return evtchn_notify(xen, xen->console_event);
}

int console_init(struct xenvm *xen)
{
    xen->console_event = evtchn_port(xen, "console");
    xenner_register_cb(xen, XENNER_CB_EVTCHN, "console", xen->console_event,
		       NULL, console_event);
    return 0;
}
